# How to build Foxit PDF SDK demo

* Please make sure you have the right environment configuration, and make sure you have cmake(3.1 and later) on your machine

    | OS    | Compiler tools or IDE | version         |
    | ----- | --------------------- | --------------- |
    | Linux | GCC                   | 4.9.4 and later |
    
    And correctly configure the environment variables for the above tools.
    
* Following commands can be used to build demo(s):
    To build simple_demo:
    ```shell
    $ cmake -DPRJ_NAME=pdf2office
    $ make
    $ ./pdf2office_xxx
    ```
> The `PRJ_NAME` is the project name of simple_demo, 
> The executabled file would be generated after executing of `make` command successfully, such as `pdf2office_xxx`, 
> The `xxx` means the architecture name.
